Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Class GenLanguage

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.codegen.gmfgen.GenLanguage

All Implemented Interfaces:
  Enumerator

public final class GenLanguage
extends AbstractEnumerator

A representation of the literals of the enumeration 'Gen Language', and utility methods for working with them.

See Also:
  `GMFGenPackage.getGenLanguage()`
** Generated **
Model:

Field Summary
`static int` `JAVA` The 'Java' literal value
`static GenLanguage` `JAVA_LITERAL` The 'Java' literal object
`static int` `NREGEXP` The 'Nregexp' literal value
`static GenLanguage` `NREGEXP_LITERAL` The 'Nregexp' literal object
`static int` `OCL` The 'Ocl' literal value
`static GenLanguage` `OCL_LITERAL` The 'Ocl' literal object
`static int` `REGEXP` The 'Regexp' literal value
`static GenLanguage` `REGEXP_LITERAL` The 'Regexp' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Gen Language' enumerators

Method Summary
`static GenLanguage` `get(int value)` Returns the 'Gen Language' literal with the specified integer value
`static GenLanguage` `get(java.lang.String literal)` Returns the 'Gen Language' literal with the specified literal value
`static GenLanguage` `getByName(java.lang.String name)` Returns the 'Gen Language' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OCL

    public static final int OCL

  The 'Ocl' literal value.

  If the meaning of 'Ocl' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GenLanguage.OCL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="ocl"

### JAVA

    public static final int JAVA

  The 'Java' literal value.

  If the meaning of 'Java' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GenLanguage.JAVA_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="java"

### REGEXP

    public static final int REGEXP

  The 'Regexp' literal value.

  If the meaning of 'Regexp' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GenLanguage.REGEXP_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="regexp"

### NREGEXP

    public static final int NREGEXP

  The 'Nregexp' literal value.

  If the meaning of 'Nregexp' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GenLanguage.NREGEXP_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="nregexp"

### OCL_LITERAL

    public static final GenLanguage OCL_LITERAL

  The 'Ocl' literal object.

  See Also:
    `GenLanguage.OCL`
  ** Generated **
  Ordered:

### JAVA_LITERAL

    public static final GenLanguage JAVA_LITERAL

  The 'Java' literal object.

  See Also:
    `GenLanguage.JAVA`
  ** Generated **
  Ordered:

### REGEXP_LITERAL

    public static final GenLanguage REGEXP_LITERAL

  The 'Regexp' literal object.

  See Also:
    `GenLanguage.REGEXP`
  ** Generated **
  Ordered:

### NREGEXP_LITERAL

    public static final GenLanguage NREGEXP_LITERAL

  The 'Nregexp' literal object.

  See Also:
    `GenLanguage.NREGEXP`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Gen Language' enumerators.

  ** Generated **

Method Detail

### get

    public static GenLanguage get(java.lang.String literal)

  Returns the 'Gen Language' literal with the specified literal value.

  ** Generated **

### getByName

    public static GenLanguage getByName(java.lang.String name)

  Returns the 'Gen Language' literal with the specified name.

  ** Generated **

### get

    public static GenLanguage get(int value)

  Returns the 'Gen Language' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.